MPD: CommonExpatParser Class Reference

MPD 0.20.18

Public Member Functions | Static Public Member Functions | Protected Member Functions
CommonExpatParser Class Referenceabstract

A specialization of ExpatParser that provides the most common callbacks as virtual methods. More...

`#include <ExpatParser.hxx>`

## Public Member Functions
| CommonExpatParser ()
| CommonExpatParser (ExpatNamespaceSeparator ns)
void | Parse (const char *data, size_t length, bool is_final)
void | Parse (InputStream &is)

## Static Public Member Functions
static gcc_pure const char * | GetAttribute (const XML_Char **atts, const char *name) noexcept
static gcc_pure const char * | GetAttributeCase (const XML_Char **atts, const char *name) noexcept

## Protected Member Functions
virtual void | StartElement (const XML_Char *name, const XML_Char **atts)=0
virtual void | EndElement (const XML_Char *name)=0
virtual void | CharacterData (const XML_Char *s, int len)=0

## Detailed Description

A specialization of ExpatParser that provides the most common callbacks as virtual methods.

Definition at line 92 of file ExpatParser.hxx.

## Constructor & Destructor Documentation

## ◆ CommonExpatParser() [1/2]

CommonExpatParser::CommonExpatParser | ( |  | ) |
| inline

Definition at line 96 of file ExpatParser.hxx.

## ◆ CommonExpatParser() [2/2]

CommonExpatParser::CommonExpatParser | ( | ExpatNamespaceSeparator | ns | ) |
| inlineexplicit

Definition at line 101 of file ExpatParser.hxx.

## Member Function Documentation

## ◆ CharacterData()

virtual void CommonExpatParser::CharacterData | ( | const XML_Char * | s,
|  | int | len
| ) |  |
| protectedpure virtual

## ◆ EndElement()

virtual void CommonExpatParser::EndElement | ( | const XML_Char * | name | ) |
| protectedpure virtual

## ◆ GetAttribute()

static gcc_pure const char* CommonExpatParser::GetAttribute | ( | const XML_Char ** | atts,
|  | const char * | name
| ) |  |
| inlinestaticnoexcept

Definition at line 116 of file ExpatParser.hxx.

## ◆ GetAttributeCase()

static gcc_pure const char* CommonExpatParser::GetAttributeCase | ( | const XML_Char ** | atts,
|  | const char * | name
| ) |  |
| inlinestaticnoexcept

Definition at line 122 of file ExpatParser.hxx.

## ◆ Parse() [1/2]

void CommonExpatParser::Parse | ( | const char * | data,
|  | size_t | length,
|  | bool | is_final
| ) |  |
| inline

Definition at line 107 of file ExpatParser.hxx.

## ◆ Parse() [2/2]

void CommonExpatParser::Parse | ( | InputStream & | is | ) |
| inline

Definition at line 111 of file ExpatParser.hxx.

## ◆ StartElement()

virtual void CommonExpatParser::StartElement | ( | const XML_Char * | name,
|  | const XML_Char ** | atts
| ) |  |
| protectedpure virtual

The documentation for this class was generated from the following file:

- lib/expat/ExpatParser.hxx